import request from "@/utils/request";

// 服务优惠卡
export function cardList(data) {
  return request({
    url: `/shop/ShopCard/list`,
    method: "post",
    data,
  });
}
// 删除服务优惠卡
export function deleteCard(data) {
  return request({
    url: `/shop/ShopCard/delete`,
    method: "post",
    data,
  });
}
// 添加服务优惠卡
export function addCard(data) {
  return request({
    url: `/shop/ShopCard/add`,
    method: "post",
    data,
  });
}
// 修改服务优惠卡
export function updateCard(data) {
  return request({
    url: `/shop/ShopCard/update`,
    method: "post",
    data,
  });
}
// 服务优惠卡详情
export function detailsCard(data) {
  return request({
    url: `/shop/ShopCard/details`,
    method: "post",
    data,
  });
}

// 优惠卡绑定项目列表
export function listBindItem(data) {
  return request({
    url: `/shop/ShopCardBind/list`,
    method: "post",
    data,
  });
}
// 绑定项目
export function addBindItem(data) {
  return request({
    url: `/shop/ShopCardBind/add`,
    method: "post",
    data,
  });
}
// 删除绑定项目
export function deleteBindItem(data) {
  return request({
    url: `/shop/ShopCardBind/delete`,
    method: "post",
    data,
  });
}
// 修改绑定优惠次数
export function updateBindItem(data) {
  return request({
    url: `/shop/ShopCardBind/update`,
    method: "post",
    data,
  });
}